curl --request POST \
--url https://api.leadping.ai/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"route": "<string>",
"area": "<string>",
"allowContact": true,
"clientVersion": "<string>"
}
'import requests
url = "https://api.leadping.ai/feedback"
payload = {
"message": "<string>",
"route": "<string>",
"area": "<string>",
"allowContact": True,
"clientVersion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/feedback");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"message\": \"<string>\",\n \"route\": \"<string>\",\n \"area\": \"<string>\",\n \"allowContact\": true,\n \"clientVersion\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"message\": \"<string>\",\n \"route\": \"<string>\",\n \"area\": \"<string>\",\n \"allowContact\": true,\n \"clientVersion\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: '<string>',
route: '<string>',
area: '<string>',
allowContact: true,
clientVersion: '<string>'
})
};
fetch('https://api.leadping.ai/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/feedback"
payload := strings.NewReader("{\n \"message\": \"<string>\",\n \"route\": \"<string>\",\n \"area\": \"<string>\",\n \"allowContact\": true,\n \"clientVersion\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => '<string>',
'route' => '<string>',
'area' => '<string>',
'allowContact' => true,
'clientVersion' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"organizationId": "<string>",
"userId": "<string>",
"type": "bug",
"status": "new",
"area": "<string>",
"route": "<string>",
"message": "<string>",
"allowContact": true,
"clientVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Create product feedback for an organization
Creates product feedback for the current organization, capturing category, message, and context for operator review.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Body
The feedback category, message, and optional product context to submit.
Defines the fields clients can send when working with feedback creation.
Defines the type of product feedback submitted from inside Leadping.
bug, confusing, feature_request, missing_capability, other Message text supplied by the user or returned by the Leadping API for this feedback creation request.
Application route where this feedback creation request originated or should direct the user.
Product area or app section connected to this feedback creation request.
Indicates whether the submitter permits Leadping support to contact them about the feedback.
Client application version that submitted this feedback creation request.
Response
Created
Describes feedback item data returned by Leadping.
Unique Leadping identifier for this feedback item response.
Organization ID connected to the feedback item, when the feedback came from an organization workspace.
User ID for the person who submitted the feedback.
Type classification used to route and interpret this feedback item response in the Leadping API.
bug, confusing, feature_request, missing_capability, other Current lifecycle status for this feedback item response in the Leadping API.
new, reviewed, planned, in_progress, shipped, closed, ignored Product area or app section connected to this feedback item response.
Application route where this feedback item response originated or should direct the user.
Message text supplied by the user or returned by the Leadping API for this feedback item response.
Indicates whether the submitter permits Leadping support to contact them about the feedback.
Client application version that submitted this feedback item response.
UTC timestamp when this feedback item response was created.

